Bug 826979 - (pairs) Review Request: pairs - Memory and logic stimulation game for preschool children
Review Request: pairs - Memory and logic stimulation game for preschool children
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lukáš Tinkl
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2012-05-31 07:11 EDT by Jaroslav Reznik
Modified: 2015-07-13 13:37 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-19 13:34:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
ltinkl: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Reznik 2012-05-31 07:11:03 EDT
Spec URL: http://rezza.hofyland.cz/fedora/packages/pairs/pairs.spec
SRPM URL: http://rezza.hofyland.cz/fedora/packages/pairs/pairs-4.8.80-1.fc16.src.rpm
Description: Pairs is a collection of games aimed to help the development
of preschool children. With these games the child can improve
memory, logic, hearing and even reading skills. Each game can
have different themes so the child is stimulated with
different and new challenges.

Fedora Account System Username: jreznik

http://koji.fedoraproject.org/koji/taskinfo?taskID=4116544

rpmlint pairs-4.8.80-1.fc16.x86_64.rpm 
pairs.x86_64: W: spelling-error Summary(en_US) pre -> per, ore, pee
pairs.x86_64: W: no-manual-page-for-binary pairs
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
Comment 1 Lukáš Tinkl 2012-06-04 09:56:37 EDT
[ltinkl@goblin pairs]$ rpmlint pairs.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

OK

[ltinkl@goblin pairs]$ rpmlint pairs-4.8.80-1.fc16.src.rpm
pairs.src: W: spelling-error Summary(en_US) pre -> per, ore, pee
pairs.src: W: file-size-mismatch pairs-4.8.80.tar.xz = 2165156, ftp://ftp.kde.org/pub/kde/unstable/4.8.80/src/pairs-4.8.80.tar.xz = 2241628
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Please fix the spelling error (pre-school) and respin the tarball
Comment 2 Lukáš Tinkl 2012-06-04 10:00:18 EDT
Possible legal issue: the package ships redhat and fedora logos!
Comment 3 Lukáš Tinkl 2012-06-04 10:05:00 EDT
MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. 

The package should have translations (PO files) included but it doesn't (upstream issue), then it should also package them using the above macro.
Comment 4 Kevin Kofler 2012-06-04 10:08:15 EDT
This package is part of KDE SC, the translations are in kde-l10n.

And "pre-school" is not misspelled: http://en.wiktionary.org/wiki/pre-school (though "preschool" might be the better spelling, not sure).
Comment 5 Lukáš Tinkl 2012-06-04 10:15:37 EDT
Yup, ignore the transaltion prob, that's void and also probably the spelling issue; what remains are the logos :)
Comment 6 Jaroslav Reznik 2012-06-04 10:28:03 EDT
For logos, I think the solution for now is to rip the whole theme from source package, I've already contacted upstream.

Preschool fixed to match description.
Comment 7 Jaroslav Reznik 2012-06-13 11:19:26 EDT
Spec URL: http://rezza.hofyland.cz/fedora/packages/pairs/pairs.spec
SRPM URL: http://rezza.hofyland.cz/fedora/packages/pairs/pairs-4.8.90-1.fc16.src.rpm

* Wed Jun 13 2012 Jaroslav Reznik <jreznik@redhat.com> 4.8.90-1
- 4.8.90
- Fedora and the other non-free logo removed
Comment 8 Lukáš Tinkl 2012-06-18 04:52:26 EDT
Remaining problem solved, good to go
Comment 9 Jaroslav Reznik 2012-06-18 09:49:00 EDT
New Package SCM Request
=======================
Package Name: pairs
Short Description: Memory and logic stimulation game for preschool children
Owners: jreznik than ltinkl rdieter kkofler rnovacek
Branches: f17
InitialCC:
Comment 10 Jon Ciesla 2012-06-18 10:15:55 EDT
Git done (by process-git-requests).
Comment 11 Rex Dieter 2012-06-19 13:34:54 EDT
imported

Note You need to log in before you can comment on or make changes to this bug.